Subject: Re: bug#64520: Cursor type, fill-column, and ruler numbering

From: Eli Zaretskii <[email-masked]>
Date: Fri, 07 Jul 2023 22:15:24 +0300

> Date: Fri, 07 Jul 2023 19:04:42 +0000
> From:  uzibalqa via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> I have set fill-column to 72.
> 
> When I write in the buffer, I get a change in the background colour
> upon reaching 72 when looking at the ruler.  There is a shift of 1
> in the ruler because the ruler starts at 0.
> 
> But when using a block cursor, it looks like one is at column 0, rather
> than column 1.  Could the ruler have the ability to be changed so that 
> it starts at 1 ?  Because one can use either a line or a block for the 
> cursor, there can be a different interpretation about column numbers.

The ruler shows columns, so it starts with zero.  If it would start
from 1, it would be inconsistent and confusing.  I see no reason to
make such not useful changes in Emacs.